﻿using System.Windows.Input;

using DevExpress.Xpf.Mvvm;

namespace TestProject
{
    /// <summary>
    /// 홈 뷰 모델
    /// </summary>
    public class HomeViewModel : ViewModelBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 상세 뷰 탐색 명령 - NavigateDetailViewCommand

        /// <summary>
        /// 상세 뷰 탐색 명령
        /// </summary>
        public ICommand NavigateDetailViewCommand { get; private set; }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 탐색 서비스 - NavigationService

        /// <summary>
        /// 탐색 서비스
        /// </summary>
        private INavigationService NavigationService
        {
            get
            {
                return ServiceContainer.GetService<INavigationService>();
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - HomeViewModel()

        /// <summary>
        /// 생성자
        /// </summary>
        public HomeViewModel()
        {
            NavigateDetailViewCommand = new DelegateCommand(NavigateDetailViewCommand_Execute);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 상세 뷰 탐색 명령 실행시 처리하기 - NavigateDetailViewCommand_Execute()

        /// <summary>
        /// 상세 뷰 탐색 명령 실행시 처리하기
        /// </summary>
        private void NavigateDetailViewCommand_Execute()
        {
            NavigationService.Navigate("DetailView", null, this);
        }

        #endregion
    }
}