﻿using System.Windows.Input;

using DevExpress.Xpf.Mvvm;

namespace TestProject
{
    /// <summary>
    /// 메인 뷰 모델
    /// </summary>
    public class MainViewModel : ViewModelBase
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 윈도우 로드시 명령 - WindowLoadedCommand

        /// <summary>
        /// 윈도우 로드시 명령
        /// </summary>
        public ICommand WindowLoadedCommand { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainViewModel()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainViewModel()
        {
            WindowLoadedCommand = new DelegateCommand(WindowLoadedCommand_Execute);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 명령 실행시 처리하기 - WindowLoadedCommand_Execute()

        /// <summary>
        /// 윈도우 로드시 명령 실행시 처리하기
        /// </summary>
        private void WindowLoadedCommand_Execute()
        {
            ServiceContainer.GetService<INavigationService>().Navigate("HomeView", null, this);
        }

        #endregion
    }
}